libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

Modules | Macros | Variables
Low Level API Internals
libsyncml API Internals

The private part. More...

Collaboration diagram for Low Level API Internals:

## Modules

| SyncML Command Internals
| The private part.
| SyncML Device Information Internals
| The private part.
| SyncML Elements Internals
| The private part.
| SyncML Error Internals
| The private part of the error handling.
| SyncML Manager Internals
| The private part.
| SyncML Notifications Internals
| The private part.
| SyncML Queue Internals
| The private part.
| SyncML Session Private API
| Private Interfaces to create, manipulate and delete sessions.
| SyncML Debug
| Debug functions used by libsyncml.
| SyncML Support
| Support functions used by libsyncml.
| SyncML Transport Private API
| Private Interfaces to manage transports.

## Macros

#define | smlAssert(x) if (!(x)) { fprintf(stderr, "%s:%i:E:%s: Assertion \"" #x "\" failed\n", __FILE__, __LINE__, __FUNCTION__); abort();}
#define | smlAssertMsg(x, msg) if (!(x)) { fprintf(stderr, "%s:%i:E:%s: %s\n", __FILE__, __LINE__, __FUNCTION__, msg); abort();}
#define | segfault_me char **blablabla = NULL; *blablabla = "test";
#define | return_if_fail(condition)
#define | return_val_if_fail(condition, val)

## Variables

int | errno

## Detailed Description

The private part.

## Macro Definition Documentation

#define return_if_fail | ( |  | condition | ) |

Value:
do { \
if (!(condition)) { \
return; \
} } while (0)

Definition at line 67 of file syncml_internals.h.

#define return_val_if_fail | ( |  | condition,
|  |  | val
| ) |  |

Value:
do { \
if (!(condition)) { \
return (val); \
} } while (0)

Definition at line 72 of file syncml_internals.h.